# FdoPhysicalElementMapping Class Reference

`#include <PhysicalElementMapping.h>`

Inheritance diagram for FdoPhysicalElementMapping:

[legend]

List of all members.

## Detailed Description

FdoPhysicalElementMapping is an abstract class that acts as a base class for all Physical Schema Mapping Override classes. FDO also provides a number of sub-classes for particular types of Provider-specific override classes:.

Remarks:
  - FdoPhysicalClassMapping: All classes corresponding to Feature Classes must be based on FdoPhysicalClassMapping.
  - FdoPhysicalPropertyMapping: Must be the base for all classes corresponding to Properties.
  - FdoPhysicalSchemaMapping: Must be the base for all types of schema override sets.
  Other types of schema override classes can be based directly on FdoPhysicalElementMapping.

Definition at line 46 of file PhysicalElementMapping.h.

## Public Member Functions
virtual FDO_API void | _writeXml (FdoXmlWriter *xmlWriter, const FdoXmlFlags *flags)
| Writes this Physical Mapping Element to XML. Called when the element is serialized to XML. Can be extended to handle particular XML attributes and sub-elements for derived classes.
virtual FDO_API FdoString * | GetName ()
| Gets the name of this element.
virtual FDO_API FdoPhysicalElementMapping * | GetParent ()
| Gets the parent of this FdoPhysicalElementMapping or null if this object has not been added to a parent object.
virtual FDO_API FdoStringP | GetQualifiedName ()
| Gets the fully qualified name of this element.
virtual FDO_API FdoPhysicalSchemaMapping * | GetSchemaMapping ()
| Gets the FdoPhysicalSchemaMapping that this element is a part of. Returns null if this object has not been added to a feature schema.
virtual FDO_API void | InitFromXml (FdoXmlSaxContext *pContext, FdoXmlAttributeCollection *attrs)
| Initializes this Physical Element Mapping from its XML attributes. Called when the element is deserialized from XML. Can be extended to handle particular XML attributes for derived classes.
virtual FDO_API void | SetName (FdoString *value)
| Sets the name of this element.
## Protected Member Functions
FDO_API | FdoPhysicalElementMapping (FdoString *name)
| Constructs an instance of an FdoPhysicalElementMapping using the specified arguments.
FDO_API | FdoPhysicalElementMapping ()
| Constructs a default instance of an FdoPhysicalElementMapping.
FDO_API void | SetParent (FdoPhysicalElementMapping *value)
| Sets the parent of this Physical Element Mapping.
virtual FDO_API | ~FdoPhysicalElementMapping ()
| FdoPhysicalElementMapping destructor.
## Friends
class | FdoPhysicalElementMappingCollection

The documentation for this class was generated from the following file:

- PhysicalElementMapping.h